Subject: Re: bug#10348: 24.0.92; Save and load window states

From: Juri Linkov <[email-masked]>
Date: Fri, 23 Dec 2011 23:14:17 +0200

>>> (3) Save only parameters whose value have a read syntax.  This can be
>>>     done either in `window-state-get' or in `my-save-frame'.
>>
>> This can make the save&restore work and fail in somewhat
>> unpredictable ways.  Too magical.
>
> IIUC this is what desktop does.  The problem is rather that we would
> have to distinguish between values needed for intra-session purposes and
> those that make sense for inter-session purposes too.

Actually there exists already a parameter that distinguishes between values
needed for intra-session purposes and needed for inter-session purposes.
It is the argument `markers' of the function `window-state-get'.  When non-nil,
it returns internal values meaningful only in the current session.  When nil,
it returns integer values safe to save and read in another session.
This argument could be renamed to a more general name and used for
other values besides markers.  Then a caller of `window-state-get'
could decide whether its return value is intended for the same session
or for intra-session purposes.